Subject: Re: bug#32540: Cuirass: we need a way to manually trigger evaluations

From: Gábor Boskovits <[email-masked]>
Date: Mon, 27 Aug 2018 12:17:38 +0200

Clément Lassieur <[email-masked]> ezt írta (időpont: 2018. aug. 27.,
H, 11:54):

> The 'core-updates' and 'staging' branches shouldn't trigger evaluations
> at each commit, because they produce too many derivations.  Instead, the
> admins should have a 'trigger evaluation' button that they use once in a
> while.  That button should be part of an 'admin interface', which should
> be protected by NGINX's 'auth_basic' authentication mechanism.
>
>
> I agree that we need a mechanism like this. I am not sure about what the
protection
mechanism should be. 'auth_basic' has some appeal, as it is quite easy, but
I would
like to hear some more opinions about that part.